Get dataset info
curl --request GET \
--url https://api.friendli.ai/beta/dataset/{dataset_id} \
--header 'Authorization: Bearer <token>'{
"id": 123,
"name": "dataset-name",
"created_at": 1705244400,
"updated_at": 1765724399
}Dataset
Get dataset info
Retrieve metadata for a Friendli dataset by ID via the API. Returns the dataset name, modality, and creation and update timestamps.
GET
/
beta
/
dataset
/
{dataset_id}
Get dataset info
curl --request GET \
--url https://api.friendli.ai/beta/dataset/{dataset_id} \
--header 'Authorization: Bearer <token>'{
"id": 123,
"name": "dataset-name",
"created_at": 1705244400,
"updated_at": 1765724399
}Get dataset info. To request successfully, it is required to enter a Personal API Key (e.g. flp_XXX) in the Bearer Token field. Refer to the authentication section on our introduction page to learn more and visit here to generate your API Key.Documentation Index
Fetch the complete documentation index at: https://friendli.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
This API is currently in Beta.
While we strive to provide a stable and reliable experience, this feature is still under active development.
As a result, you may encounter unexpected behavior or limitations.
We encourage you to provide feedback to help us improve the feature before its official release.
Authorizations
Headers
ID of team to run requests as (optional parameter).
Path Parameters
ID of the dataset to retrieve.
Response
OK
Dataset info.
ID of the dataset.
Name of the dataset.
Unix timestamp (in seconds) of when the dataset was created.
Unix timestamp (in seconds) of when the dataset was last modified.
Last modified on April 29, 2026
⌘I